> For the complete documentation index, see [llms.txt](https://degreetpro.gitbook.io/nestgram/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://degreetpro.gitbook.io/nestgram/api-reference.md).

# API Reference

- [Set chat action](https://degreetpro.gitbook.io/nestgram/api-reference/set-chat-action.md): You can set chat action (e.g. typing)
- [Save user profile photo](https://degreetpro.gitbook.io/nestgram/api-reference/save-user-profile-photo.md): You can save any user profile photo by index
- [Ban, unban user or chat](https://degreetpro.gitbook.io/nestgram/api-reference/ban-unban-user-or-chat.md): You can ban and unban chat member
- [Restrict or Promote user](https://degreetpro.gitbook.io/nestgram/api-reference/restrict-or-promote-user.md): You can restrict or promote chat member
- [Set chat permissions](https://degreetpro.gitbook.io/nestgram/api-reference/set-chat-permissions.md): You can set chat permissions (permissions for all users by default)
- [Set chat admin custom title](https://degreetpro.gitbook.io/nestgram/api-reference/set-chat-admin-custom-title.md): You can set custom title (post, job title) for admin
- [Chat invite links](https://degreetpro.gitbook.io/nestgram/api-reference/chat-invite-links.md): You can export chat invite link
- [Join requests](https://degreetpro.gitbook.io/nestgram/api-reference/join-requests.md): You can approve or decline chat join request
- [Update chat info, photo, title, description and more](https://degreetpro.gitbook.io/nestgram/api-reference/update-chat-info-photo-title-description-and-more.md): You can update chat info: set photo, delete it, update title or description
- [Pin or unpin messages](https://degreetpro.gitbook.io/nestgram/api-reference/pin-or-unpin-messages.md): You can pin, unpin (unpin all also) messages
- [Get chat info, leave chat](https://degreetpro.gitbook.io/nestgram/api-reference/get-chat-info-leave-chat.md): You can get chat info: chat member count, chat info, chat admins, chat member and other
- [Check user subscription](https://degreetpro.gitbook.io/nestgram/api-reference/check-user-subscription.md): You can check the user's subscription to a channel or group
- [Chat sticker set](https://degreetpro.gitbook.io/nestgram/api-reference/chat-sticker-set.md): You can set chat sticker set or delete it
- [My commands](https://degreetpro.gitbook.io/nestgram/api-reference/my-commands.md): You can set/delete/get my bot commands
- [My default admin rights](https://degreetpro.gitbook.io/nestgram/api-reference/my-default-admin-rights.md): You can set/get my default administrator rights
- [Menu button](https://degreetpro.gitbook.io/nestgram/api-reference/menu-button.md): You can set/get menu button


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://degreetpro.gitbook.io/nestgram/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
